---
search:
  tags:
    - Themes
    - PUT
seo:
  description: >-
    Updates the body of an existing theme template. Requires admin scope.
    Reference for the PUT /themes/{theme_id}/templates/{id} endpoint in the
    Bolder API v1.
sidebar:
  label: Update template
  badge: PUT
title: Update template
type: openapi-operation
---
Updates the body of an existing theme template. Requires `admin` scope.

`PUT /themes/{theme_id}/templates/{id}`

**Request body** (`application/json`, required)

- `file_name` (string, required) — File name including extension, e.g. \`about.html\`
- `body` (string, required) — Template content

Request body example:

```json
{
  "file_name": "string",
  "body": "string"
}
```

**Responses**

- `200` — Template updated

Response example, 200:

```json
{
  "id": "string",
  "file_name": "string",
  "name": "string",
  "content_type": "html",
  "body": "string",
  "updated_on": "2019-08-24T14:15:22Z",
  "_links": {}
}
```
